Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.mimo.netty.handler.codec.icap
Class ReadHttpRequestInitialAndHeadersState

    java.lang.Object
      ch.mimo.netty.handler.codec.icap.State<Object>
          ch.mimo.netty.handler.codec.icap.ReadHttpRequestInitialAndHeadersState

    public class ReadHttpRequestInitialAndHeadersState

extends State<Object>

Decoder State that reads http request initial and headers.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapMessageDecoder`, `StateEnum`

Constructor Summary
`ReadHttpRequestInitialAndHeadersState(String name)`

Method Summary
`StateReturnValue` | `execute(org.jboss.netty.buffer.ChannelBuffer buffer, IcapMessageDecoder icapMessageDecoder)` execution method
`void` | `onEntry(org.jboss.netty.buffer.ChannelBuffer buffer, IcapMessageDecoder icapMessageDecoder)` Preparation method
`StateEnum` | `onExit(org.jboss.netty.buffer.ChannelBuffer buffer, IcapMessageDecoder icapMessageDecoder, Object decisionInformation)` Flow decision method

Methods inherited from class ch.mimo.netty.handler.codec.icap.State
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadHttpRequestInitialAndHeadersState

    public ReadHttpRequestInitialAndHeadersState(String name)

Method Detail

### onEntry

    public void onEntry(org.jboss.netty.buffer.ChannelBuffer buffer,
                        IcapMessageDecoder icapMessageDecoder)
                 throws DecodingException

  Description copied from class: `State`
  Preparation method

  Specified by:
    `onEntry` in class `State<Object>`
  Throws:
    `DecodingException`

### execute

    public StateReturnValue execute(org.jboss.netty.buffer.ChannelBuffer buffer,
                                    IcapMessageDecoder icapMessageDecoder)
                             throws DecodingException

  Description copied from class: `State`
  execution method

  Specified by:
    `execute` in class `State<Object>`
  Returns:
    @see `StateReturnValue` that contains, dependent on the relevance a return value.
  Throws:
    `DecodingException`

### onExit

    public StateEnum onExit(org.jboss.netty.buffer.ChannelBuffer buffer,
                            IcapMessageDecoder icapMessageDecoder,
                            Object decisionInformation)
                     throws DecodingException

  Description copied from class: `State`
  Flow decision method

  Specified by:
    `onExit` in class `State<Object>`
  Returns:
    has to return a valid next state. Can be itself.
  Throws:
    `DecodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.